#
# spec file for package python-matrix-client
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-matrix-client
Version:        0.4.0
Release:        1.1
Summary:        Client-Server SDK for Matrix
License:        Apache-2.0
URL:            https://github.com/matrix-org/matrix-python-sdk
Source:         https://files.pythonhosted.org/packages/source/m/matrix_client/matrix_client-%{version}.tar.gz
# PATCH-FIX-OPENSUSE update-setup.py-to-avoid-installing-of-test-pkg.patch
Patch0:         update-setup.py-to-avoid-installing-of-test-pkg.patch
# PATCH-FIX-OPENSUSE dont-require-pytest-runner.patch
Patch1:         dont-require-pytest-runner.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module responses}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module urllib3 < 2}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests
Requires:       python-urllib3 < 2
BuildArch:      noarch
%python_subpackages

%description
Client-Server SDK for Matrix

%prep
%autosetup -p1 -n matrix_client-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/matrix_client*

%changelog
* Tue Aug  8 2023 Dominik Heidler <dheidler@suse.de>
- Add update-setup.py-to-avoid-installing-of-test-pkg.patch
- Add dont-require-pytest-runner.patch
- Version 0.4.0
  - Experimental support for encrypted rooms has been implemented.
  - Add an option (use_authorization_header) for sending auth tokens using the
    HTTP Authorization header instead of the access_token query parameter.
  - Add the ability to set the room name and whether room federation is allowed with create_room().
  - Catch MissingSchema errors that could be raised by the http library
  - Add urllib3 as an explicit dependency.
  - Include the SDK version in the User Agent of requests.
  - Speed up membership handling code in rooms.
  - Use lexicographical sort to room displayname calculation.
  - Add a new method, whoami, for determining the Matrix ID of the currently authenticated user.
  - Better support for global vs. per-room display names.
  - Better handling of users who lack a display name.
  - Add support for specifying a filename when uploading media.
  - Numerous fixes to the tests.
* Thu Feb 18 2021 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.2
